package com.qmth.cqb.utils.modal;

import java.util.List;

/**
 * 查询分页相应类
 * Created by songyue on 16/12/27.
 */
public class PagingAndSortingResponse<T>{
    private int curPage;//当前页数
    private int pageSize;//每页数据量
    private int totalPages;//总页数
    private long totalElements;//总数据量
    private List<T> dataList;//实际数据

    public PagingAndSortingResponse(int curPage, int pageSize, int totalPages, long totalElements, List<T> dataList) {
        this.curPage = curPage;
        this.pageSize = pageSize;
        this.totalPages = totalPages;
        this.totalElements = totalElements;
        this.dataList = dataList;
    }

    public int getCurPage() {
        return curPage;
    }

    public void setCurPage(int curPage) {
        this.curPage = curPage;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(int totalPages) {
        this.totalPages = totalPages;
    }

    public long getTotalElements() {
        return totalElements;
    }

    public void setTotalElements(long totalElements) {
        this.totalElements = totalElements;
    }

    public List<T> getDataList() {
        return dataList;
    }

    public void setDataList(List<T> dataList) {
        this.dataList = dataList;
    }
}
