package com.qmth.cqb.question.model;

import com.qmth.cqb.utils.enums.QuesStructType;

import java.io.Serializable;
import java.util.Map;

/**
 * 试题类型(结构类型包装类)
 * Created by songyue on 16/12/28.
 */
public class QuestionType implements Serializable{
    private static final long serialVersionUID = -4183850561167604080L;

    private QuesStructType quesType;//结构类型

    private String name;//类型标题

    private Map params;//类型参数

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public QuesStructType getQuesType() {
		return quesType;
	}

	public void setQuesType(QuesStructType quesType) {
		this.quesType = quesType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Map getParams() {
		return params;
	}

	public void setParams(Map params) {
		this.params = params;
	}

	public QuestionType() {
    }

	public QuestionType(QuesStructType quesType,String name) {
		this.quesType = quesType;
		this.name = name;
	}
}
